qpid-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (DISPATCH-919) Display a warning when running Dispatch tests if python-unittest2 is not installed
Date Mon, 29 Jan 2018 18:42:00 GMT

    [ https://issues.apache.org/jira/browse/DISPATCH-919?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16343793#comment-16343793
] 

ASF GitHub Bot commented on DISPATCH-919:
-----------------------------------------

GitHub user kgiusti opened a pull request:

    https://github.com/apache/qpid-dispatch/pull/250

    DISPATCH-919: if python-unittest2 not installed issue warning and dis…

    …able tests

You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/kgiusti/dispatch DISPATCH-919

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/qpid-dispatch/pull/250.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #250
    
----
commit fdaabf2e12c43f0df55f2b5b15ff505ec32715b7
Author: ganeshmurthy <gmurthy@...>
Date:   2018-01-29T18:36:50Z

    DISPATCH-919: if python-unittest2 not installed issue warning and disable tests

----


> Display a warning when running Dispatch tests if python-unittest2 is not installed
> ----------------------------------------------------------------------------------
>
>                 Key: DISPATCH-919
>                 URL: https://issues.apache.org/jira/browse/DISPATCH-919
>             Project: Qpid Dispatch
>          Issue Type: Bug
>          Components: Tests
>    Affects Versions: 1.0.0
>            Reporter: Ganesh Murthy
>            Assignee: Ganesh Murthy
>            Priority: Minor
>
> Because of changes made to DISPATCH-894 we now require python-unittest2 package to be
installed to be able to run the system tests. For anyone moving from Dispatch 1.0.0 to 1.1.0,
this information is not obvious. (we do have this information in the readme)
> Please display a visible warning (python-unittest2 needs to be installed in order to
run tests) when a unit test is run (or if the entire test suite is run) without having python-unittest2
installed.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@qpid.apache.org
For additional commands, e-mail: dev-help@qpid.apache.org


Mime
View raw message